<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:core="http://typo3.org/ns/TYPO3/CMS/Core/ViewHelpers"
	  data-namespace-typo3-fluid="true"
>
	<f:comment>
		Variable:
		* label: label in EXT:logs/Resources/Private/Language/locallang.xlf
		* property: Property name of the model's field
	</f:comment>

	<div class="form-group col col-sm-3">
		<label for="tx_logs_filter_{property}">
			<f:translate extensionName="logs" key="{label}">{label}</f:translate>
		</label>
		<div class="formengine-field-item">
			<div class="form-control-wrap" style="max-width: 204px">
				<div class="form-wizards-wrap">
					<div class="form-wizards-element">
						<div class="input-group">
							<f:variable name="value" value="{object.{property}}" />
							<f:form.textfield property="{property}"
											  value="{value -> f:format.date(format: 'H:i d-m-Y')}"
											  id="tx_logs_filter_{property}"
											  class="form-control form-control-adapt t3js-datetimepicker t3js-clearable"
											  data="{lpignore: 'true', date-type:'datetime', date-offset:'0'}" />
							<f:form.hidden property="{property}" value="{value -> f:format.date(format: 'Y-m-d\TH:i:sP')}" />
							<span class="input-group-btn">
								<label class="btn btn-default" for="tx_logs_filter_{property}">
									<core:icon identifier="actions-edit-pick-date" />
								</label>
							</span>
							<f:form.validationResults for="{objectName}.{property}">
								<f:if condition="{validationResults.flattenedErrors}">
									<span>
										<f:for each="{validationResults.errors}" as="error">
											{error.code}: {error}
										</f:for>
									</span>
								</f:if>
							</f:form.validationResults>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</html>
